## MMCellInfoCdma

MMCellInfoCdma — Helper object to report CDMA cell info

## Functions

const gchar * | mm_cell_info_cdma_get_nid ()
const gchar * | mm_cell_info_cdma_get_sid ()
const gchar * | mm_cell_info_cdma_get_base_station_id ()
const gchar * | mm_cell_info_cdma_get_ref_pn ()
guint | mm_cell_info_cdma_get_pilot_strength ()

## Types and Values

struct | MMCellInfoCdma

## Object Hierarchy

        GObject
        ╰── MMCellInfo
            ╰── MMCellInfoCdma

## Description

The MMCellInfoCdma is an object used to report CDMA cell information.

The object inherits from the generic MMCellInfo.

## Functions

### mm_cell_info_cdma_get_nid ()

    const gchar *
    mm_cell_info_cdma_get_nid (MMCellInfoCdma *self);

Get the CDMA network id.

Encoded in upper-case hexadecimal format without leading zeros.

#### Parameters

self | a MMCellInfoCdma. |

#### Returns

the CDMA network id, or `NULL` if not available.

[transfer none]

Since: 1.20

### mm_cell_info_cdma_get_sid ()

    const gchar *
    mm_cell_info_cdma_get_sid (MMCellInfoCdma *self);

Get the CDMA system id.

Encoded in upper-case hexadecimal format without leading zeros.

#### Parameters

self | a MMCellInfoCdma. |

#### Returns

the CDMA system id, or `NULL` if not available.

[transfer none]

Since: 1.20

### mm_cell_info_cdma_get_base_station_id ()

    const gchar *
    mm_cell_info_cdma_get_base_station_id (MMCellInfoCdma *self);

Get the CDMA base station id.

Encoded in upper-case hexadecimal format without leading zeros.

#### Parameters

self | a MMCellInfoCdma. |

#### Returns

the CDMA base station id, or `NULL` if not available.

[transfer none]

Since: 1.20

### mm_cell_info_cdma_get_ref_pn ()

    const gchar *
    mm_cell_info_cdma_get_ref_pn (MMCellInfoCdma *self);

Get the CDMA base station PN number.

Encoded in upper-case hexadecimal format without leading zeros.

#### Parameters

self | a MMCellInfoCdma. |

#### Returns

the CDMA base station PN number, or `NULL` if not available.

[transfer none]

Since: 1.20

### mm_cell_info_cdma_get_pilot_strength ()

    guint
    mm_cell_info_cdma_get_pilot_strength (MMCellInfoCdma *self);

Get the signal strength of the pilot.

Given in the same format and scale as the GSM SINR level.

#### Parameters

self | a MMCellInfoCdma. |

#### Returns

the pilot strength, or `G_MAXUINT` if not available.

Since: 1.20

## Types and Values

### struct MMCellInfoCdma

    struct MMCellInfoCdma;

The MMCellInfoCdma structure contains private data and should only be accessed using the provided API.